/* tslint:disable */
/* eslint-disable */
/**
 * Golemio COVID-19 Prague API
 * API for multiple reservation system for samling points of COVID19
 *
 * The version of the OpenAPI document: 1.1.0
 * 
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */

import { exists, mapValues } from '../runtime';
/**
 * 
 * @export
 * @interface SamplingPointsServicesOpeningHours
 */
export interface SamplingPointsServicesOpeningHours {
    /**
     * 
     * @type {number}
     * @memberof SamplingPointsServicesOpeningHours
     */
    id: number;
    /**
     * 
     * @type {number}
     * @memberof SamplingPointsServicesOpeningHours
     */
    setId: number;
    /**
     * 
     * @type {string}
     * @memberof SamplingPointsServicesOpeningHours
     */
    weekday: string;
    /**
     * 
     * @type {string}
     * @memberof SamplingPointsServicesOpeningHours
     */
    startAt: string;
    /**
     * 
     * @type {string}
     * @memberof SamplingPointsServicesOpeningHours
     */
    endAt: string;
    /**
     * 
     * @type {Date}
     * @memberof SamplingPointsServicesOpeningHours
     */
    updatedAt: Date;
    /**
     * 
     * @type {string}
     * @memberof SamplingPointsServicesOpeningHours
     */
    note?: string | null;
}

export function SamplingPointsServicesOpeningHoursFromJSON(json: any): SamplingPointsServicesOpeningHours {
    return SamplingPointsServicesOpeningHoursFromJSONTyped(json, false);
}

export function SamplingPointsServicesOpeningHoursFromJSONTyped(json: any, ignoreDiscriminator: boolean): SamplingPointsServicesOpeningHours {
    if ((json === undefined) || (json === null)) {
        return json;
    }
    return {
        
        'id': json['id'],
        'setId': json['set_id'],
        'weekday': json['weekday'],
        'startAt': json['start_at'],
        'endAt': json['end_at'],
        'updatedAt': (new Date(json['updated_at'])),
        'note': !exists(json, 'note') ? undefined : json['note'],
    };
}

export function SamplingPointsServicesOpeningHoursToJSON(value?: SamplingPointsServicesOpeningHours | null): any {
    if (value === undefined) {
        return undefined;
    }
    if (value === null) {
        return null;
    }
    return {
        
        'id': value.id,
        'set_id': value.setId,
        'weekday': value.weekday,
        'start_at': value.startAt,
        'end_at': value.endAt,
        'updated_at': (value.updatedAt.toISOString()),
        'note': value.note,
    };
}


